## AgsEndian

AgsEndian — dealing with endiannes

## Stability Level

Stable, unless otherwise indicated

## Functions

gboolean | ags_endian_host_is_le ()
gboolean | ags_endian_host_is_be ()
gfloat | ags_endian_swap_float ()

## Types and Values

enum | AgsByteOrder

## Object Hierarchy

        GEnum
        ╰── AgsByteOrder

## Includes

    #include <ags/lib/ags_endian.h>

## Description

Some common routines dealing with endiannes.

## Functions

### ags_endian_host_is_le ()

    gboolean
    ags_endian_host_is_le ();

Check host is Little Endian.

#### Returns

`TRUE` if LE, otherwise `FALSE`

Since: 3.0.0

### ags_endian_host_is_be ()

    gboolean
    ags_endian_host_is_be ();

Check host is Big Endian.

#### Returns

`TRUE` if BE, otherwise `FALSE`

Since: 3.0.0

### ags_endian_swap_float ()

    gfloat
    ags_endian_swap_float (gfloat x);

Swaps the floating point numbers endianness.

#### Parameters

x | the float to swap |

#### Returns

the byte-swapped float

Since: 3.0.0

## Types and Values

### enum AgsByteOrder

Endianess.

#### Members

AGS_BYTE_ORDER_LE | little endian |
AGS_BYTE_ORDER_BE | big endian |